# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TCloseOperationReq

Packages that use TCloseOperationReq
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TCloseOperationReq in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TCloseOperationReq
Modifier and Type
Class
Description
`class`
`TCloseOperationReq`
`class`
`TCloseOperationReq`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TCloseOperationReq
Modifier and Type
Field
Description
`TCloseOperationReq`
TCLIService.CloseOperation_args.`req`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TCloseOperationReq
Modifier and Type
Method
Description
`TCloseOperationReq`
TCloseOperationReq.`deepCopy()`
`TCloseOperationReq`
TCLIService.CloseOperation_args.`getReq()`
`TCloseOperationReq`
TCloseOperationReq.`setOperationHandle(TOperationHandle operationHandle)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TCloseOperationReq
Modifier and Type
Method
Description
`void`
TCLIService.AsyncClient.`CloseOperation(TCloseOperationReq req, org.apache.thrift.async.AsyncMethodCallback<TCloseOperationResp> resultHandler)`
`void`
TCLIService.AsyncIface.`CloseOperation(TCloseOperationReq req, org.apache.thrift.async.AsyncMethodCallback<TCloseOperationResp> resultHandler)`
`TCloseOperationResp`
TCLIService.Client.`CloseOperation(TCloseOperationReq req)`
`TCloseOperationResp`
TCLIService.Iface.`CloseOperation(TCloseOperationReq req)`
`int`
TCloseOperationReq.`compareTo(TCloseOperationReq other)`
`boolean`
TCloseOperationReq.`equals(TCloseOperationReq that)`
`void`
TCLIService.Client.`send_CloseOperation(TCloseOperationReq req)`
`TCLIService.CloseOperation_args`
TCLIService.CloseOperation_args.`setReq(TCloseOperationReq req)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TCloseOperationReq
Modifier
Constructor
Description
``
`CloseOperation_args(TCloseOperationReq req)`
``
`CloseOperation_call(TCloseOperationReq req, org.apache.thrift.async.AsyncMethodCallback<TCloseOperationResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`
``
`TCloseOperationReq(TCloseOperationReq other)`
Performs a deep copy on other.